Taiga
API ReferencePre EncounterImagesV1

Create image

Adds an image. VersionConflictError is returned if a front or back of this coverage already exists.

POST
/images/v1

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object representing an Image.

Response Body

application/json

application/json

curl -X POST "https://example.com/images/v1" \  -H "Content-Type: application/json" \  -d '{    "file_name": "string",    "display_name": "string",    "file_type": "string",    "status": "PENDING"  }'
{  "id": "string",  "signed_url": "string",  "organization_id": "string",  "deactivated": true,  "version": 0,  "updated_at": "2019-08-24T14:15:22Z",  "updating_user_id": "string",  "file_name": "string",  "display_name": "string",  "file_type": "string",  "status": "PENDING",  "coverage": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "side": "FRONT"  },  "patient": {    "id": "string",    "notes": "string"  }}